Subject: bug#15127: closed (Re: bug#15127: grep not taking last conflicting option as choice?)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 19 Aug 2013 13:56:08 +0000

Your bug report

#15127: grep not taking last conflicting option as choice?

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15127: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15127
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15127: grep not taking last conflicting option as choice?
From: Eric Blake <[email-masked]>
To: Linda Walsh <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Aug 2013 07:55:36 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 15127 notabug
thanks

On 08/18/2013 08:50 PM, Linda Walsh wrote:
> 
> Isn't it usually the case with conflicting options that the last
> one gets taken as the choice, with choices on the command line
> overriding choices in the environment?
> 
> Grep doesn't seem to follow this convention.
> 
> Is there a reason why grep doesn't or did it
> used to and now chooses to do nothing in the case of
> conflicting options?  (eg. -P v. -E)
> 
> I think the earlier behavior, especially in respect
> to cmdline value overriding the environment is more
> useful otherwise lines built up both by successive passes
> in make files and with those who specify defaults in GREP_OPTIONS,
> but expect cmd-line usage to override ENV...
> 
> (coreutils 8.21)
> 
> (or is grep not part of coreutils these days...hmmm...)

Grep is its own project ([email-masked], per 'grep --help' output).
As such, I'm closing this as not a coreutils bug.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: grep not taking last conflicting option as choice?
From: Linda Walsh <[email-masked]>
To: [email-masked]
Date: Sun, 18 Aug 2013 19:50:24 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Isn't it usually the case with conflicting options that the last
one gets taken as the choice, with choices on the command line
overriding choices in the environment?

Grep doesn't seem to follow this convention.

Is there a reason why grep doesn't or did it
used to and now chooses to do nothing in the case of
conflicting options?  (eg. -P v. -E)

I think the earlier behavior, especially in respect
to cmdline value overriding the environment is more
useful otherwise lines built up both by successive passes
in make files and with those who specify defaults in GREP_OPTIONS,
but expect cmd-line usage to override ENV...

(coreutils 8.21)

(or is grep not part of coreutils these days...hmmm...)